Subject: Re: [Sipping] Re: draft-olson-sipping-content-indirection

From: [email-masked]
Date: Mon, 8 Apr 2002 16:14:40 -0400

I'm not really advocating any position on stereotyping here. It may be a
good or bad idea depending on the circumstances, However I don't see how
tit is anymore prone to interoperability problems than any other type of
header. It could possibly lead to some amount of compression in some
circumstances if some 'boilerplate' headers could be assumed.

Sean Olson <[email-masked]> on 04/08/2002 03:29:12 PM

To:   [email-masked]
cc:   Lawrence Conroy <[email-masked]>, [email-masked]

Subject:  Re: [Sipping] Re: draft-olson-sipping-content-indirection

> >> Also, I'm not clear on REQ-10 - this reads as
> >> suggesting that a SIP message can
> >> be fragmented, with some of the message being
> held
> >> indirectly (I guess with the
> >> rump of the SIP message carrying a reference to
> the
> >> "rest" of the headers)?
> >> That can't be right, so please explain.
>
> >That is right. This requirement is a bit on the
> >fringe so I would welcome any feedback on whether
> >people think this is a good idea or not.
>
> If this is to be used for stereotyped behavior, why
> bother with the
> indirection at all. Why not just a header which
> indicates which stereotyped
> complement of headers is to be assumed?

Stereotyping is not the intended application
of this indirection. Rather, it is intended
to "offload" large headers or sets of large headers.

Stereotyping is interesting but probably a rathole
and eventually an interop problem.

=====
Sean Olson <[email-masked]>

__________________________________________________
Do You Yahoo!?
Yahoo! Tax Center - online filing with TurboTax
http://taxes.yahoo.com/

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP